<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$usuario_id=$_POST['usuario_usu_id'];

$coti = mysqli_query($con, "SELECT * FROM cotizacion WHERE cot_tipo='RESERVA' and (cot_estado='Pendiente' or cot_estado='Confirmado') and sucursal='$sucursal' and empresa='$empresa'");

    if (mysqli_num_rows($coti) > 0) {
        while($resulco = mysqli_fetch_array($coti)) {
            $vendedor = $resulco['vendedor'];

            if ($vendedor == $usuario_id) {
                echo "<script>alert('¡El usuario no se puede desactivar porque tiene reservas asignadas!');</script>";
                exit; // Termina el script si la condición se cumple
            }
        }
    } 




$registros=mysqli_query($con,"SELECT * FROM zhop_reserva_usuario WHERE res_usu_estado='activo' and usuario_usu_id='$usuario_id'") or die(mysqli_error($con));
if($roww=mysqli_fetch_array($registros))
{
    $registros=mysqli_query($con,"UPDATE zhop_reserva_usuario Set res_usu_estado='desactivo' Where usuario_usu_id='$usuario_id'") or die(mysqli_error($con));
}
else 
{
    $registros=mysqli_query($con,"UPDATE zhop_reserva_usuario Set res_usu_estado='activo' Where usuario_usu_id='$usuario_id'") or die(mysqli_error($con));
}
?>